Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006652OCaml-for ocamlbuild use https://github.com/ocaml/ocamlbuild/issuespublic2014-11-10 08:422015-03-27 22:55
Reportermcc 
Assigned To 
PrioritylowSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacPortsOSMac OS XOS Version10.6.8
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006652: ocamlbuild -clean does not print a newline after output
DescriptionFor most ocamlbuild lines, a newline is printed after the output, as is normal for UNIX tools.
For -clean, there is no newline after the output. I see:

andis-macbook:emily-objc mcc$ ocamlbuild -clean
Finished, 0 targets (0 cached) in 00:00:00.
00:00:00 0 (0 ) STARTING -------- |a
ndis-macbook:emily-objc mcc$

Notice one letter of my prompt cutting into the output. Regardless of how wide I make the letter it's always one letter.
Steps To Reproduceocamlbuild -clean

works in any directory
Additional InformationThe user "whitequark" on the ocaml IRC reports seeing the same behavior, in Debian, in Konsole.
Tagsjunior_job
Attached Filespng file icon Screen shot 2014-11-09 at 11.41.19 PM.png [^] (21,044 bytes) 2014-11-10 08:42

- Relationships

-  Notes
(0012503)
mcc (reporter)
2014-11-10 08:43

PS: I saw this in the standard OS X "Terminal" app.
(0013585)
doligez (administrator)
2015-03-27 22:55

Fixed in 4.02 branch (rev 15973).

- Issue History
Date Modified Username Field Change
2014-11-10 08:42 mcc New Issue
2014-11-10 08:42 mcc File Added: Screen shot 2014-11-09 at 11.41.19 PM.png
2014-11-10 08:43 mcc Note Added: 0012503
2014-12-22 18:09 doligez Severity minor => text
2014-12-22 18:09 doligez Status new => confirmed
2014-12-22 18:09 doligez Tag Attached: junior_job
2015-01-10 00:19 doligez Target Version => 4.02.2+dev / +rc1
2015-03-27 22:55 doligez Note Added: 0013585
2015-03-27 22:55 doligez Status confirmed => closed
2015-03-27 22:55 doligez Resolution open => fixed
2015-03-27 22:55 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:34 doligez Category OCamlbuild (the tool) => for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]
2017-02-23 16:44 doligez Category for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^] => -for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker